libname results "C:/Users/Dante/Desktop/thesis/results";

ods escapechar='~'; /* serve per usare le lettere greche */

%macro compare_test(ds);
	proc datasets nolist;
		delete rifiuto_estim_prob;
	run;

	proc sql noprint;
		SELECT COUNT(*) INTO :size_ds
		FROM &ds;
	quit;

	%do alpha = 1 %to 100 %by 1;
		data _NULL_;
			set &ds;
			if gray_pval1 < &alpha/100 then count_gray + 1;
			if pepemori_pval1 < &alpha/100 then count_pepemori + 1;
			if PT_012 < &alpha/100 then count_PT012 + 1;
			if PF_012 < &alpha/100 then count_PF012 + 1;
			call symput('lessthenalpha_gray',count_gray);
			call symput('lessthenalpha_pepemori',count_pepemori);
			call symput('lessthenalpha_PT012',count_PT012);
			call symput('lessthenalpha_PF012',count_PF012);
		run;

		data current_estim_prob;
			alpha = &alpha/100;
			prob_rifiuto_gray = &lessthenalpha_gray / &size_ds;
			prob_rifiuto_pepemori = &lessthenalpha_pepemori / &size_ds;
			prob_rifiuto_PT012 = &lessthenalpha_PT012 / &size_ds;
			prob_rifiuto_PF012 = &lessthenalpha_PF012 / &size_ds;
		run;

		proc append data =  current_estim_prob base = rifiuto_estim_prob;
		run;
	%end;

%mend compare_test;

ods graphics on;
ods listing gpath = 'C:/Users/Dante/Desktop/thesis/monografia';

%compare_test(results.final_report1_350rep_1000b)
proc sgplot data=rifiuto_estim_prob;
	title "Scenario 1: ~{unicode lambda}A1 =1, ~{unicode lambda}1B=1, ~{unicode lambda}2A=1 ~{unicode lambda}2B=1.2";
	lineparm x=0 y=0 slope=1; /** intercept, slope **/
	yaxis label="Probabilit di rifiuto empirica";
	scatter x=alpha y=prob_rifiuto_gray / markerattrs=graphdata2(symbol = circlefilled size=8 color = fuchsia);
	scatter x=alpha y=prob_rifiuto_pepemori / markerattrs=graphdata2(symbol = circlefilled size=8 color = red);
	scatter x=alpha y=prob_rifiuto_PF012 / markerattrs=graphdata2(symbol = circlefilled size=8 color = blue);
	scatter x=alpha y=prob_rifiuto_PT012 / markerattrs=graphdata2(symbol = circlefilled size=8 color = black);
	footnote "B=1000          numero repliche = 350";
run;

%compare_test(results.final_report2_350rep_1000b)
proc sgplot data=rifiuto_estim_prob;
	title "Scenario 2: ~{unicode lambda}1A =1, ~{unicode lambda}1B=1, ~{unicode lambda}2A=1 ~{unicode lambda}2B=1.6";
	lineparm x=0 y=0 slope=1; /** intercept, slope **/
	yaxis label="Probabilit di rifiuto empirica";
	scatter x=alpha y=prob_rifiuto_gray / markerattrs=graphdata2(symbol = circlefilled size=8 color = fuchsia);
	scatter x=alpha y=prob_rifiuto_pepemori / markerattrs=graphdata2(symbol = circlefilled size=8 color = red);
	scatter x=alpha y=prob_rifiuto_PF012 / markerattrs=graphdata2(symbol = circlefilled size=8 color = blue);
	scatter x=alpha y=prob_rifiuto_PT012 / markerattrs=graphdata2(symbol = circlefilled size=8 color = black);
	footnote "B=1000          numero repliche = 350";
run;

%compare_test(results.final_report3_350rep_1000b)
proc sgplot data=rifiuto_estim_prob;
	title "Scenario 3: ~{unicode lambda}1A =1, ~{unicode lambda}1B=1.6, ~{unicode lambda}2A=1 ~{unicode lambda}2B=1";
	lineparm x=0 y=0 slope=1; /** intercept, slope **/
	yaxis label="Probabilit di rifiuto empirica";
	scatter x=alpha y=prob_rifiuto_gray / markerattrs=graphdata2(symbol = circlefilled size=8 color = fuchsia);
	scatter x=alpha y=prob_rifiuto_pepemori / markerattrs=graphdata2(symbol = circlefilled size=8 color = red);
	scatter x=alpha y=prob_rifiuto_PF012 / markerattrs=graphdata2(symbol = circlefilled size=8 color = blue);
	scatter x=alpha y=prob_rifiuto_PT012 / markerattrs=graphdata2(symbol = circlefilled size=8 color = black);
	footnote "B=1000          numero repliche = 350";
run;

%compare_test(results.final_report6_350rep_1000b)
proc sgplot data=rifiuto_estim_prob;
	title "Scenario 0: ~{unicode lambda}1A =1, ~{unicode lambda}1B=1, ~{unicode lambda}2A=1 ~{unicode lambda}2B=1";
	lineparm x=0 y=0 slope=1; /** intercept, slope **/
	yaxis label="Probabilit di rifiuto empirica";
	scatter x=alpha y=prob_rifiuto_gray / markerattrs=graphdata2(symbol = circlefilled size=8 color = fuchsia);
	scatter x=alpha y=prob_rifiuto_pepemori / markerattrs=graphdata2(symbol = circlefilled size=8 color = red);
	scatter x=alpha y=prob_rifiuto_PF012 / markerattrs=graphdata2(symbol = circlefilled size=8 color = blue);
	scatter x=alpha y=prob_rifiuto_PT012 / markerattrs=graphdata2(symbol = circlefilled size=8 color = black);
	footnote "B=1000          numero repliche = 350";
run;

ods graphics off;





	
		
		
		
